## python-oslo.messaging 2.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6

futurist>=0.1.2 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0

# for jsonutils
six>=1.9.0
cachetools>=1.0.0 # MIT License

# FIXME(markmc): remove this when the drivers no longer
# import eventlet

eventlet>=0.17.4
greenlet>=0.3.2

WebOb>=1.2.3

# for the routing notifier
PyYAML>=3.1.0

# rabbit driver is the default
# we set the amqp version to ensure heartbeat works
amqp>=1.4.0
kombu>=3.0.7

# middleware
oslo.middleware>=2.8.0 # Apache-2.0

# needed by the aioeventlet executor
aioeventlet>=0.4
trollius>=1.0

=== debian/changelog ===
python-oslo.messaging (2.5.0-1ubuntu2) wily; urgency=medium

  [ Jorge Niedbalski ]
  * d/p/make-reply-and-fanout-queues-expire-instead-of-auto-delete.patch:
    Make reply and fanout queues expire instead of auto-delete (LP: #1515278).

  [ Corey Bryant ]
  * d/p/dont-hold-connection-when-reply-fail.patch: Cherry-picked
    patch from upstream VCS to fix the amqp reply logic when
    connections are lost (LP: #1521958).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Mar 2016 08:08:47 -0400

python-oslo.messaging (2.5.0-1ubuntu1) wily; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Drop depends on zmq, qpid, aioeventlet and trolluis
    - d/p/disable-new-executors.patch: Drop hard requirement on new
      executors.

 -- James Page <james.page@ubuntu.com>  Tue, 29 Sep 2015 09:34:13 +0100

python-oslo.messaging (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * python-oslo-messaging transition package in priority extra.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 18:16:47 +0200

python-oslo.messaging (2.1.0-2) experimental; urgency=medium

  * Override dh_auto_clean to make sure it doesn't fetch pbr.
  * Disable some test which are too fragile (ie: timing issues):
    - drivers.test_impl_rabbit.TestSendReceive.test_send_receive
    - drivers.test_impl_rabbit.TestSendReceive.test_send_receive

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Sep 2015 11:27:55 +0200

python-oslo.messaging (2.1.0-1ubuntu1) wily; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Drop depends on zmq, qpid, aioeventlet and trolluis
    - d/p/disable-new-executors.patch: Drop hard requirement on new
      executors.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Aug 2015 17:03:53 +0200

python-oslo.messaging (2.1.0-1) experimental; urgency=medium

  [ James Page ]
  * d/p/use-mox3.patch: Cherry pick fix from upstream VCS to directly
    use mox3 instead of using an import of mox from six.moves, resolving
    FTBFS due to changes in oslotest.
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed upstream VCS url.
  * Fixed (build-)depends for this release.
  * Blacklist 3 failed unit tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jul 2015 09:19:43 +0000

python-oslo.messaging (1.14.0-1ubuntu2) wily; urgency=medium

  * d/p/use-mox3.patch: Cherry pick fix from upstream VCS to directly
    use mox3 instead of using an import of mox from six.moves, resolving
    FTBFS due to changes in oslotest.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jun 2015 09:30:41 +0100

python-oslo.messaging (1.14.0-1ubuntu1) wily; urgency=medium

  * Resync with Debian experimental:
    - d/control: Drop depends on zmq, qpid, aioeventlet and trolluis
    - d/p/disable-new-executors.patch: Drop hard requirement on new
      executors.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jun 2015 17:23:28 +0100

python-oslo.messaging (1.14.0-1) experimental; urgency=medium

  [ James Page ]
  * Team upload.
  * New upstream release.

  [ Thomas Goirand ]
  * Make the build reproducible. Thanks to Juan Picca <jumapico@gmail.com> for
    the bug report and patch (Closes: #788480).
  * Added python3 support.
  * Added oslo-messaging-zmq-receiver.init sysv-rc script.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 23:37:49 +0200

python-oslo.messaging (1.13.0-1) experimental; urgency=medium

  * New upstream release:
    - d/control: Align version requirements and dependencies with upstream.
  * Add myself to Uploaders.
  * Ensure that unit test failures result in a package build failure.
  * Add new binary package for oslo-messaging-zmq-receiver.
  * Explicitly install python to python-oslo.messaging.
  * Rename source package to python-oslo.messaging.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional package for
      python-oslo-messaging in Ubuntu.
  * d/*: wrap-and-sort.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:52:35 +0100

oslo.messaging (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Standards-Version: bump to 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Apr 2015 09:21:46 +0200

oslo.messaging (1.4.1-2) experimental; urgency=medium

  * Added remove-PROTOCOL_SSLv3.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Nov 2014 10:01:03 +0000

oslo.messaging (1.4.1-1) experimental; urgency=medium

  * New upstream release, which is in fact the same as 1.4.0, though this fixes
    the mess with version numbers. Thanks a lot to Doug Hellmann for it.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2014 15:12:40 +0000

oslo.messaging (1.4.0.0-2) experimental; urgency=medium

  * Uploading to experimental. Version 1.4 should never have been uploaded
    to unstable, so repairing this.

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Sep 2014 16:01:44 +0000

oslo.messaging (1.4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Note that this really is 1.4.0, though because of previous upload to
    Debian using 1.4.0.0~a4 (which should have been 1.4.0~a4), then we do need
    to use that version number.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Sep 2014 22:26:34 +0800

oslo.messaging (1.4.0.0~a4-1) unstable; urgency=medium

  * New upstream release.
  * Updated required version for python{3,}-six.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Aug 2014 19:09:30 +0800

oslo.messaging (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Apr 2014 20:10:04 +0800

oslo.messaging (1.3.0~a9-1) experimental; urgency=medium

  * New upstream release.


=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@ubuntu.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd (>= 1.5),
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-amqp (>= 1.4.0),
                     python-cachetools,
                     python-coverage,
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-futurist,
                     python-greenlet,
                     python-hacking,
                     python-kombu (>= 3.0.7),
                     python-mock (>= 1.3),
                     python-mox3,
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.8.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-redis,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python-yaml,
                     python3-amqp (>= 1.4.0),
                     python3-cachetools,
                     python3-coverage,
                     python3-eventlet (>= 0.17.4),
                     python3-fixtures (>= 1.3.1),
                     python3-futurist,
                     python3-greenlet,
                     python3-kombu (>= 3.0.7),
                     python3-mock (>= 1.3),
                     python3-mox3,
                     python3-oslo.config (>= 1:2.3.0),
                     python3-oslo.context (>= 0.2.0),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.log (>= 1.8.0),
                     python3-oslo.middleware (>= 2.8.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.service (>= 0.8.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1.10.0),
                     python3-redis,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-webob,
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.messaging.git
Vcs-Git: http://anonscm.debian.org/git/openstack/python-oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: python-oslo.messaging
Architecture: all
Depends: python-amqp (>= 1.4.0),
         python-cachetools,
         python-eventlet (>= 0.17.4),
         python-futurist,
         python-greenlet,
         python-kombu (>= 3.0.7),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.8.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         python-webob,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Breaks: python-oslo-messaging (<< 1.13.0-1~),
Replaces: python-oslo-messaging (<< 1.13.0-1~),
Description: oslo messaging library - Python 2.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.messaging
Architecture: all
Depends: python3-amqp (>= 1.4.0),
         python3-cachetools,
         python3-eventlet (>= 0.17.4),
         python3-futurist,
         python3-greenlet,
         python3-kombu (>= 3.0.7),
         python3-oslo.config (>= 1:2.3.0),
         python3-oslo.context (>= 0.2.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.log (>= 1.8.0),
         python3-oslo.middleware (>= 2.8.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.service (>= 0.8.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         python3-webob,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

Package: oslo-messaging-zmq-receiver
Architecture: all
Depends: adduser,
         python-oslo.messaging (= ${binary:Version}) | python3-oslo.messaging (= ${binary:Version}),
         ${misc:Depends},
Description: Oslo Messaging ZeroMQ receiver daemon
 The Oslo Messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 This package provides the ZeroMQ receiver which processes incoming
 messages on all servers participating in a ZeroMQ messaging cluster.

Package: python-oslo-messaging
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.messaging,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-messaging
 This transitional package is safe to remove.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT = git://github.com/openstack/oslo.messaging.git

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.messaging; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.messaging; \
	done
	mv $(CURDIR)/debian/python-oslo.messaging/usr/bin/oslo-messaging-zmq-receiver $(CURDIR)/debian/python-oslo.messaging/usr/bin/python2-oslo-messaging-zmq-receiver
	mv $(CURDIR)/debian/python3-oslo.messaging/usr/bin/oslo-messaging-zmq-receiver $(CURDIR)/debian/python3-oslo.messaging/usr/bin/python3-oslo-messaging-zmq-receiver

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 3.4 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'oslo_messaging\.tests\.(?!(.*drivers.test_impl_rabbit\.TestRabbitDriverLoad\.test_driver_load.*|.*test_transport.GetTransportSadPathTestCase.test_get_transport_sad.*|.*drivers\.test_impl_rabbit\.TestSendReceive\.test_send_receive.*|.*drivers\.test_impl_rabbit\.TestSendReceive\.test_send_receive.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-oslo.messaging/usr/share/doc/python-oslo.messaging/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_clean:
	# Don't attempt to fetch pbr from PyPi...
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean -O--buildsystem=python_distutils

## python-oslo.messaging 4.6.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

futurist>=0.11.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

# for jsonutils
six>=1.9.0 # MIT
cachetools>=1.0.0 # MIT License


# FIXME(markmc): remove this when the drivers no longer
# import eventlet

eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT

WebOb>=1.2.3 # MIT

# for the routing notifier
PyYAML>=3.1.0 # MIT

# rabbit driver is the default
# we set the amqp version to ensure heartbeat works
amqp>=1.4.0 # LGPL
kombu>=3.0.25 # BSD
pika>=0.10.0 # BSD
pika-pool>=0.1.3 # BSD

# used by pika and zmq drivers
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
retrying!=1.3.0,>=1.2.3 # Apache-2.0

# middleware
oslo.middleware>=3.0.0 # Apache-2.0

=== debian/changelog ===
python-oslo.messaging (4.6.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 12:36:51 +0000

python-oslo.messaging (4.6.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 09:16:49 +0000

python-oslo.messaging (4.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 14:30:34 +0200

python-oslo.messaging (4.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 10:56:14 +0100

python-oslo.messaging (4.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright order.
  * Standards-Version: 3.9.7 (no change).
  * Added remove-git-log-call-in-sphinx-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 12:59:50 +0000

python-oslo.messaging (4.0.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Set minimum kombu version to 3.0.30 due to:
    https://github.com/celery/kombu/issues/545.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed MANIFEST.in patches.
  * Run Python 3 tests in python 3.5 as well.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 02:43:30 +0000

python-oslo.messaging (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed do-not-run-toplevel-test.patch.
  * Upstream has renamed oslo-messaging-zmq-receiver into
    oslo-messaging-zmq-broker, fixing the package to follow on.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 12:08:25 +0100

python-oslo.messaging (2.5.0-2) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:26:32 +0000

python-oslo.messaging (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * python-oslo-messaging transition package in priority extra.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:07:13 +0000

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           James Page <james.page@ubuntu.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd (>= 1.5),
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: bandit,
                     python-amqp (>= 1.4.0),
                     python-cachetools,
                     python-concurrent.futures (>= 3.0),
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 1.3.1),
                     python-futurist (>= 0.13.0),
                     python-greenlet,
                     python-hacking,
                     python-kafka (>= 0.9.5),
                     python-kombu (>= 3.0.30),
                     python-mock (>= 1.3),
                     python-mox3,
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-pika (>= 0.10.0),
                     python-pika-pool,
                     python-pyngus,
                     python-redis,
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testscenarios,
                     python-testtools (>= 1.7.0),
                     python-webob,
                     python-yaml,
                     python-zmq,
                     python3-amqp (>= 1.4.0),
                     python3-cachetools,
                     python3-coverage,
                     python3-debtcollector (>= 1.2.0),
                     python3-eventlet (>= 0.18.4),
                     python3-fixtures (>= 1.3.1),
                     python3-futurist (>= 0.13.0),
                     python3-greenlet,
                     python3-kafka (>= 0.9.5),
                     python3-kombu (>= 3.0.30),
                     python3-mock (>= 1.3),
                     python3-mox3,
                     python3-oslo.config (>= 1:3.7.0),
                     python3-oslo.context (>= 0.2.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 1.14.0),
                     python3-oslo.middleware (>= 3.0.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.service (>= 1.0.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pika (>= 0.10.0),
                     python3-pika-pool,
                     python3-pyngus,
                     python3-redis,
                     python3-retrying,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-webob,
                     python3-yaml,
                     python3-zmq,
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.messaging.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: python-oslo.messaging
Architecture: all
Depends: python-amqp (>= 1.4.0),
         python-cachetools,
         python-concurrent.futures (>= 3.0),
         python-debtcollector (>= 1.2.0),
         python-eventlet (>= 0.18.4),
         python-futurist (>= 0.13.0),
         python-greenlet,
         python-kafka (>= 0.9.5),
         python-kombu (>= 3.0.30),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-pika (>= 0.10.0),
         python-pika-pool,
         python-retrying,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         python-webob,
         python-yaml,
         python-zmq,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Breaks: python-oslo-messaging (<< 1.13.0-1~),
Replaces: python-oslo-messaging (<< 1.13.0-1~),
Description: oslo messaging library - Python 2.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.messaging
Architecture: all
Depends: python3-amqp (>= 1.4.0),
         python3-cachetools,
         python3-debtcollector (>= 1.2.0),
         python3-eventlet (>= 0.18.4),
         python3-futurist (>= 0.13.0),
         python3-greenlet,
         python3-kafka (>= 0.9.5),
         python3-kombu (>= 3.0.30),
         python3-oslo.config (>= 1:3.7.0),
         python3-oslo.context (>= 0.2.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 1.14.0),
         python3-oslo.middleware (>= 3.0.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.service (>= 1.0.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-pika (>= 0.10.0),
         python3-pika-pool,
         python3-retrying,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         python3-webob,
         python3-yaml,
         python3-zmq,
         ${misc:Depends},
         ${python3:Depends},
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

Package: oslo-messaging-zmq-receiver
Architecture: all
Depends: adduser,
         python-oslo.messaging (= ${binary:Version}) | python3-oslo.messaging (= ${binary:Version}),
         ${misc:Depends},
Description: Oslo Messaging ZeroMQ receiver daemon
 The Oslo Messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 This package provides the ZeroMQ receiver which processes incoming
 messages on all servers participating in a ZeroMQ messaging cluster.

Package: python-oslo-messaging
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.messaging,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-messaging
 This transitional package is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -24,13 +24,16 @@
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-oslo.messaging; \
 	done
-	mv $(CURDIR)/debian/python-oslo.messaging/usr/bin/oslo-messaging-zmq-receiver $(CURDIR)/debian/python-oslo.messaging/usr/bin/python2-oslo-messaging-zmq-receiver
-	mv $(CURDIR)/debian/python3-oslo.messaging/usr/bin/oslo-messaging-zmq-receiver $(CURDIR)/debian/python3-oslo.messaging/usr/bin/python3-oslo-messaging-zmq-receiver
+	mv $(CURDIR)/debian/python-oslo.messaging/usr/bin/oslo-messaging-zmq-broker $(CURDIR)/debian/python-oslo.messaging/usr/bin/python2-oslo-messaging-zmq-broker
+	mv $(CURDIR)/debian/python3-oslo.messaging/usr/bin/oslo-messaging-zmq-broker $(CURDIR)/debian/python3-oslo.messaging/usr/bin/python3-oslo-messaging-zmq-broker
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 3.4 ; do \
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

## python-oslo.messaging 5.5.0

=== requirements.txt ===
--- 
+++ 
@@ -5,14 +5,14 @@
 pbr>=1.6 # Apache-2.0
 
 futurist>=0.11.0 # Apache-2.0
-oslo.config>=3.7.0 # Apache-2.0
-oslo.context>=0.2.0 # Apache-2.0
+oslo.config>=3.10.0 # Apache-2.0
+oslo.context>=2.4.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
-oslo.utils>=3.5.0 # Apache-2.0
+oslo.utils>=3.11.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
-oslo.service>=1.0.0 # Apache-2.0
+oslo.service>=1.10.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
-stevedore>=1.5.0 # Apache-2.0
+stevedore>=1.10.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
 
 # for jsonutils
@@ -33,7 +33,7 @@
 
 # rabbit driver is the default
 # we set the amqp version to ensure heartbeat works
-amqp>=1.4.0 # LGPL
+amqp<2.0,>=1.4.0 # LGPL
 kombu>=3.0.25 # BSD
 pika>=0.10.0 # BSD
 pika-pool>=0.1.3 # BSD

=== debian/changelog ===
python-oslo.messaging (5.5.0-2+3~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Using HTTPS for upstream Git.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 05 Sep 2016 21:09:54 +0000

python-oslo.messaging (5.5.0-1) experimental; urgency=medium

  [ James Page ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depnds with upstream.

  [ Thomas Goirand ]
  * Drop python-oslo-messaging transition package not needed since Xenial is
    released.
  * Switch to pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 15:20:54 +0000

python-oslo.messaging (5.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-git-log-call-in-sphinx-doc.patch: Dropped. Fixed upstream.
  * d/gbp.conf: Update gbp branch config for Newton.
  * d/rules, d/python(3)-oslo.messaging.*: Add update-alternatives support
    for oslo-messaging-zmq-proxy.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:03:58 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            James Page <james.page@ubuntu.com>,
+           Corey Bryant <corey.bryant@canonical.com>,
+           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               dh-systemd (>= 1.5),
-               openstack-pkg-tools,
+               dh-systemd,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -22,7 +24,7 @@
                      python-coverage,
                      python-debtcollector (>= 1.2.0),
                      python-eventlet (>= 0.18.4),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-futurist (>= 0.13.0),
                      python-greenlet,
                      python-hacking,
@@ -30,14 +32,14 @@
                      python-kombu (>= 3.0.30),
                      python-mock (>= 1.3),
                      python-mox3,
-                     python-oslo.config (>= 1:3.7.0),
-                     python-oslo.context (>= 0.2.0),
+                     python-oslo.config (>= 1:3.10.0),
+                     python-oslo.context (>= 2.4.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.service (>= 1.0.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.service (>= 1.10.0),
+                     python-oslo.utils (>= 3.11.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-pika (>= 0.10.0),
@@ -46,7 +48,7 @@
                      python-redis,
                      python-retrying,
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.10.0),
                      python-testscenarios,
                      python-testtools (>= 1.7.0),
                      python-webob,
@@ -57,21 +59,21 @@
                      python3-coverage,
                      python3-debtcollector (>= 1.2.0),
                      python3-eventlet (>= 0.18.4),
-                     python3-fixtures (>= 1.3.1),
+                     python3-fixtures (>= 3.0.0),
                      python3-futurist (>= 0.13.0),
                      python3-greenlet,
                      python3-kafka (>= 0.9.5),
                      python3-kombu (>= 3.0.30),
                      python3-mock (>= 1.3),
                      python3-mox3,
-                     python3-oslo.config (>= 1:3.7.0),
-                     python3-oslo.context (>= 0.2.0),
+                     python3-oslo.config (>= 1:3.10.0),
+                     python3-oslo.context (>= 2.4.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 1.14.0),
                      python3-oslo.middleware (>= 3.0.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.service (>= 1.0.0),
-                     python3-oslo.utils (>= 3.5.0),
+                     python3-oslo.service (>= 1.10.0),
+                     python3-oslo.utils (>= 3.11.0),
                      python3-oslotest (>= 1.10.0),
                      python3-pika (>= 0.10.0),
                      python3-pika-pool,
@@ -79,7 +81,7 @@
                      python3-redis,
                      python3-retrying,
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.5.0),
+                     python3-stevedore (>= 1.10.0),
                      python3-subunit,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
@@ -88,7 +90,7 @@
                      python3-zmq,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.messaging.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.messaging.git
 Homepage: https://github.com/openstack/oslo.messaging
@@ -104,20 +106,20 @@
          python-greenlet,
          python-kafka (>= 0.9.5),
          python-kombu (>= 3.0.30),
-         python-oslo.config (>= 1:3.7.0),
-         python-oslo.context (>= 0.2.0),
+         python-oslo.config (>= 1:3.10.0),
+         python-oslo.context (>= 2.4.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.service (>= 1.0.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.service (>= 1.10.0),
+         python-oslo.utils (>= 3.11.0),
          python-pbr (>= 1.8),
          python-pika (>= 0.10.0),
          python-pika-pool,
          python-retrying,
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.10.0),
          python-webob,
          python-yaml,
          python-zmq,
@@ -144,20 +146,20 @@
          python3-greenlet,
          python3-kafka (>= 0.9.5),
          python3-kombu (>= 3.0.30),
-         python3-oslo.config (>= 1:3.7.0),
-         python3-oslo.context (>= 0.2.0),
+         python3-oslo.config (>= 1:3.10.0),
+         python3-oslo.context (>= 2.4.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 1.14.0),
          python3-oslo.middleware (>= 3.0.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.service (>= 1.0.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.service (>= 1.10.0),
+         python3-oslo.utils (>= 3.11.0),
          python3-pbr (>= 1.8),
          python3-pika (>= 0.10.0),
          python3-pika-pool,
          python3-retrying,
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.5.0),
+         python3-stevedore (>= 1.10.0),
          python3-webob,
          python3-yaml,
          python3-zmq,
@@ -182,12 +184,3 @@
  .
  This package provides the ZeroMQ receiver which processes incoming
  messages on all servers participating in a ZeroMQ messaging cluster.
-
-Package: python-oslo-messaging
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: python-oslo.messaging,
-         ${misc:Depends},
-Description: transitional dummy package for python-oslo-messaging
- This transitional package is safe to remove.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT = https://github.com/openstack/oslo.messaging.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'oslo_messaging\.tests\.(?!(.*drivers.test_impl_rabbit\.TestRabbitDriverLoad\.test_driver_load.*|.*test_transport.GetTransportSadPathTestCase.test_get_transport_sad.*|.*drivers\.test_impl_rabbit\.TestSendReceive\.test_send_receive.*|.*drivers\.test_impl_rabbit\.TestSendReceive\.test_send_receive.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/python-oslo.messaging/usr/share/doc/python-oslo.messaging/html
	dh_sphinxdoc
endif

override_dh_auto_clean:
	# Don't attempt to fetch pbr from PyPi...
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean
